Loading...
Searching...
No Matches
Credential Management
Globus GSS Assist

Acquire Credential. More...

## Functions

OM_uint32 | globus_gss_assist_acquire_cred (OM_uint32 *minor_status, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle)
OM_uint32 | globus_gss_assist_acquire_cred_ext (OM_uint32 *minor_status, char *desired_name_char, OM_uint32 time_req, const gss_OID_set desired_mechs, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle, gss_OID_set *actual_mechs, OM_uint32 *time_rec)
OM_uint32 | globus_gss_assist_read_vhost_cred_dir (OM_uint32 *minor_status, const char *dir, gss_cred_id_t **output_credentials_array, size_t *output_credentials_array_size)
| Acquire all GSSAPI credentials in a directory.

## Detailed Description

Acquire Credential.

The functions in this section are used to acquire security credentials.

## Function Documentation

## globus_gss_assist_acquire_cred()

OM_uint32 globus_gss_assist_acquire_cred | ( | OM_uint32 * | minor_status,
|  | gss_cred_usage_t | cred_usage,
|  | gss_cred_id_t * | output_cred_handle )

Called once at the start of the process, to obtain the credentials the process is running under. The

Parameters

  minor_status | pointer for return code
  cred_usage | GSS_C_INITIATE, GSS_C_ACCEPT, or GSS_C_BOTH
  output_cred_handle | Pointer to the returned handle. This needs to be passed to many gss routines.

Returns
  GSS_S_COMPLETE on success Other GSSAPI return codes

## globus_gss_assist_acquire_cred_ext()

OM_uint32 globus_gss_assist_acquire_cred_ext | ( | OM_uint32 * | minor_status,
|  | char * | desired_name_char,
|  | OM_uint32 | time_req,
|  | const gss_OID_set | desired_mechs,
|  | gss_cred_usage_t | cred_usage,
|  | gss_cred_id_t * | output_cred_handle,
|  | gss_OID_set * | actual_mechs,
|  | OM_uint32 * | time_rec )

Called once at the start of the process, to obtain the credentials the process is running under. All the parameters of the gss_acquire_cred(), except the desired_name is a string of the form: [type:]name. This will be imported with the type.

Returns
  GSS_S_COMPLETE on success Other GSSPI return codes

See also
  globus_gss_acquire_cred

## globus_gss_assist_read_vhost_cred_dir()

OM_uint32 globus_gss_assist_read_vhost_cred_dir | ( | OM_uint32 * | minor_status,
|  | const char * | dir,
|  | gss_cred_id_t ** | output_credentials_array,
|  | size_t * | output_credentials_array_size )

Acquire all GSSAPI credentials in a directory.

This function loads all of the credentials available in the vhost credential directory and returns them in its output parameters.

The credentials directory is expected to contain a directory for each credential, with the directory containing cert.pem and privkey.pem files.

If the dir parameter is NULL, then this function uses the X509_VHOST_CRED_DIR environment variable, or the default /etc/grid-security/vhosts/ if it is not set.

Parameters

  [out] | minor_status | Mechanism-specific error code
  [in] | dir | Optional directory name to override X509_VHOST_CRED_DIR
  [out] | output_credentials_array | Pointer to a dynamic array allocated to hold credentials
  [out] | output_credentials_array_size | Pointer to be set to the resulting size (in bytes) of the output_credentials_array